Bug 498845 - Review Request: R-msm - Multi-state Markov and hidden Markov models in continuous time
Review Request: R-msm - Multi-state Markov and hidden Markov models in contin...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
Depends On:
Blocks: 498846
  Show dependency treegraph
Reported: 2009-05-03 19:06 EDT by Denis Arnaud
Modified: 2009-09-26 15:36 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.9.1-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-15 21:24:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Denis Arnaud 2009-05-03 19:06:57 EDT
Spec URL: http://denisarnaud.fedorapeople.org/R/msm/R-msm.spec
SRPM URL: http://denisarnaud.fedorapeople.org/R/msm/R-msm-0.8.2-1.fc10.src.rpm
[FE-NEEDSPONSOR] That is my third package for Fedora, but the first one for R, and I thus still need a sponsor.
Description: Functions for fitting general continuous-time Markov and hidden Markov multi-state models to longitudinal data.  Both Markov transition rates and the hidden Markov output process can be modelled in terms of covariates.  A variety of observation schemes are supported, including processes observed at arbitrary times, completely-observed processes, and censored states.

Web site: http://cran.r-project.org/web/packages/msm/

Additional notes:
 * I followed the R-specific guidelines (https://fedoraproject.org/wiki/Packaging/R).
 * I need that package, as it is a dependency of another package I would like to submit, namely R-RM2 (for which I shall open a distinct package review request).
Comment 1 Jason Tibbitts 2009-06-03 20:05:56 EDT
This builds fine and rpmlint is silent except for the two complaints that it always spews for R packages.

The license is a bit unclear.  DESCRIPTION says "GPL-2", but src/pijt.c (the only other file that seems to have a license uses the FSF-recommended language and says GPLv2+.

Can you clarify with upstream whether the code is GPLv2 only or GPLv2+?  Upstream seems to be active.

Why is the %check section commented out?

* source files match upstream.  sha256sum:
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
? license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   R-msm = 0.8.2-1.fc11
   R-msm(x86-64) = 0.8.2-1.fc11

? %check is present but commented out.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* scriptlets are OK (R package registration)
* code, not content.
Comment 2 Denis Arnaud 2009-06-05 06:18:55 EDT
I have contacted upstream for the license issue, and shall keep you updated.
(as a reminder, the upstream Web site is: http://cran.r-project.org/web/packages/msm/index.html)
Comment 3 Jason Tibbitts 2009-06-05 10:49:53 EDT
That's not the URL you have in your spec, but it really should be.
Comment 4 Denis Arnaud 2009-06-05 13:42:24 EDT
Following is the answer from upstream (C. Jackson):
"Thanks for pointing that out, it was an oversight. I will alter the DESCRIPTION file to put the whole package under GPL version 2 or later. I'm working on several updates and bug fixes at the moment, so I intend to release the next version with this change within the next two weeks."

So, I shall update the specification file accordingly (hopefully this week-end), and re-deliver the new upstream version when available.
Comment 5 Jason Tibbitts 2009-06-05 15:35:23 EDT
If you want to release before those upstream cleanups are done, just include the correspondence clarifying the license as a %doc file in the package.
Comment 6 Denis Arnaud 2009-06-06 17:20:41 EDT
1. The README_License_msm file (http://denisarnaud.fedorapeople.org/R/msm/082/2/README_License_msm) has been added, with the correspondence clarifying the license issue: that package follows GPLv2+.

2. The URL has been changed, so as to reflect the actual Web site of the R-msm package (http://cran.r-project.org/web/packages/msm/index.html).

3. The %check was commented... because I forgot to uncomment it (I usually first test building packages without enabling the tests, as they take a lot of time) :)

The new RPM package proposal is therefore below:
Spec URL: http://denisarnaud.fedorapeople.org/R/msm/082/2/R-msm.spec
SRPM URL: http://denisarnaud.fedorapeople.org/R/msm/082/2/R-msm-0.8.2-2.fc10.src.rpm

(to check the differences, the older versions are to be found at the following location: http://denisarnaud.fedorapeople.org/R/msm/082/1/)
Comment 7 Jason Tibbitts 2009-06-10 15:37:18 EDT
OK, this builds fine, the check section passes and the license clarification is fine.

Comment 8 Denis Arnaud 2009-06-10 17:26:17 EDT
New Package CVS Request
Package Name: R-msm
Short Description: Multi-state Markov and hidden Markov models in continuous time
Owners: denisarnaud
Branches: EL-4 EL-5 F-10 F-11 F-12
Comment 9 Jason Tibbitts 2009-06-10 17:38:27 EDT
We're still several months away from making F-12 branches for anything.

Otherwise, CVS done.
Comment 10 Fedora Update System 2009-06-12 11:01:06 EDT
R-msm-0.9.1-1.fc11 has been submitted as an update for Fedora 11.
Comment 11 Fedora Update System 2009-06-12 11:02:51 EDT
R-msm-0.9.1-1.fc10 has been submitted as an update for Fedora 10.
Comment 12 Fedora Update System 2009-06-15 21:24:46 EDT
R-msm-0.9.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-06-15 21:56:39 EDT
R-msm-0.9.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Denis Arnaud 2009-09-26 11:14:54 EDT
Package Change Request
Package Name: R-msm
New Branches: F12
Owners: denisarnaud
Comment 15 Kevin Fenzi 2009-09-26 15:36:35 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.